Bug 558286 - bip crashes when ubuntu xchat connects
Summary: bip crashes when ubuntu xchat connects
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bip
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-24 17:56 UTC by Kevin Fenzi
Modified: 2010-10-29 17:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-29 17:25:30 UTC
Type: ---


Attachments (Terms of Use)

Description Kevin Fenzi 2010-01-24 17:56:56 UTC
I setup a friend with an account on my bip server and it was working fine. 
He has a dell mini9 with ubuntu on it and xchat:
xchat 2.8.4  Linux 2.6.24-24-lpia compiled 9-Apr-2008

Whenever they connect to my bip server it crashes. 

I installed debuginfo and ran it under gdb:


Program received signal SIGSEGV, Segmentation fault.
0x0000000000412d24 in bip_on_event (bip=0x7fff43a6c620, conn=0xc7acc0) at src/irc.c:2479
2479                            mylog(LOG_ERROR, "[%s] Error in protocol, closing...",
(gdb) where
#0  0x0000000000412d24 in bip_on_event (bip=0x7fff43a6c620, conn=0xc7acc0)
    at src/irc.c:2479
#1  0x0000000000412e0b in irc_main (bip=0x7fff43a6c620) at src/irc.c:2550
#2  0x000000000040aa70 in main (argc=<value optimized out>, argv=<value optimized out>)
    at src/bip.c:1316

bip-0.8.4-1.fc12.x86_64
bip-debuginfo-0.8.4-1.fc12.x86_64

Happy to test patches or try and provide more info.

Comment 1 Fedora Admin XMLRPC Client 2010-09-27 18:43:21 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Brian Lane 2010-10-08 23:42:20 UTC
Could you try v0.8.6 when it hits updates-testing and let me know if you still have problems? Also, leaving feedback on bodhi would help:

https://admin.fedoraproject.org/updates/bip-0.8.6-1.fc12

To install the test version run:

yum --enablerepo=updates-testing update bip

Comment 3 Kevin Fenzi 2010-10-09 20:37:08 UTC
I've updated here and asked my friend with the weird client to test. 

Will let you know what I find out.

Comment 4 Kevin Fenzi 2010-10-28 22:45:29 UTC
Well, it no longer crashes. ;) 

Now the client can't connect and I see in the logs: 

27-10-2010 12:24:28 ERROR: [X] Invalid credentials (user: X)

but the password is correct. Puzzling.

Comment 5 Brian Lane 2010-10-28 23:12:17 UTC
Progress!

Are you sure the password is being sent as un:pw:connection? Maybe try generating a new one with bipmkpw?

I'm sure the format didn't change from 0.8.4, I didn't need to change anything when I upgraded my system to 0.8.6

Comment 6 Kevin Fenzi 2010-10-29 16:10:23 UTC
Yeah, the password is right. They can connect from several other machines just fine with that pass. 

So, its sounding to me like the client on that machine is just broken and doing the wrong thing somehow. ;(

Comment 7 Brian Lane 2010-10-29 17:25:30 UTC
Time to fire up wireshark and sniff the connection :) Sounds like this bug is fixed though, so I'm going to close it.


Note You need to log in before you can comment on or make changes to this bug.